Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMSequence

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMContentModel
                  |
                  +--com.jxml.quick.model.qdml.QDMSequence

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  QDMSelection

public class QDMSequence
extends QDMContentModel

Models a sequence element in QDML. The contentModel elements held by a sequence element define a series of content sub-models within the element content of another element.

    DTD:

    <!ELEMENT sequence (rem*, (item|selection|sequence)+)>

    <!ATTLIST sequence
        label CDATA #IMPLIED
        cref CDATA #IMPLIED
        optional CDATA "False"
        repeating CDATA "False"
        ID id #IMPLIED
    >

Field Summary
`ArrayList` | `contentList` A container for the QDMContentModel objects (QDMItem, QDMSequence, and QDMSelection) which model the contentModel elements (item, sequence, and selection) held by this elements element.

Fields inherited from class com.jxml.quick.model.qdml.QDMContentModel
`content, cref, enclosingCoin, initialized, label, optional, remList, repeating`

Constructor Summary
`QDMSequence()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap, QDMCoin myCoin)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`protected void` | `cminit(Map coinMap, Map contentMap)`
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.
`boolean` | `isContainedBy(String label, TreeMap coinMap)`

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentList

    public ArrayList contentList

  A container for the QDMContentModel objects (QDMItem, QDMSequence, and QDMSelection) which model the contentModel elements (item, sequence, and selection) held by this elements element.

Constructor Detail

### QDMSequence

    public QDMSequence()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QDMContentModel`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMContentModel`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QDMCoin myCoin)
                   throws SAXException

  Description copied from class: `QDMContentModel`
  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QDMContentModel`

### cminit

    protected void cminit(Map coinMap,
                          Map contentMap)
                   throws SAXException

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QDMContentModel`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QDMContentModel`

### isContainedBy

    public boolean isContainedBy(String label,
                                 TreeMap coinMap)

  Overrides:
    `isContainedBy` in class `QDMContentModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD